@echo off

if "%ESPRITSpaceClaimPlugInFolder%"=="" set ESPRITSpaceClaimPlugInFolder=c:\SpaceClaim\Addins\ESPRIT

if "%ESPRITSpaceClaimPlugInDllFilePath%"==""	set ESPRITSpaceClaimPlugInDllFilePath=%ESPRITSpaceClaimPlugInFolder%\ESPRITSpaceClaimPlugIn.dll
if "%RegAsmExecutable%"==""	set RegAsmExecutable=C:\Windows\Microsoft.NET\Framework\v4.0.30319\RegAsm.exe

rem ****************************************************************
echo.
echo Registering assembly: "%ESPRITSpaceClaimPlugInDllFilePath%"...
echo.
%RegAsmExecutable% "%ESPRITSpaceClaimPlugInDllFilePath%" /codebase /tlb /nologo /s
if not %errorLevel% == 0 goto showerror

rem ****************************************************************
set ScEspritAddinRegFileName=%ESPRITSpaceClaimPlugInFolder%\RegisterAddinToESPRITon32bitOS.reg
echo.
echo Creating registry entries using %ScEspritAddinRegFileName%... 
echo.
reg import "%ScEspritAddinRegFileName%"
if not %errorLevel% == 0 goto showerror
echo.

rem ****************************************************************
goto end

:showerror
echo.
echo    ##################
echo    ####  ERROR   ####  
echo    ##################
echo.
echo Please note: This script must be run as administrator to work properly!  
echo In explorer, right click on the batch file and select "Run As Administrator"
echo.
echo.
goto end

:end
pause
echo Done
